> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt.

# Get voices

GET https://api.synthflow.ai/v2/voices

Lists all the voices assigned to a workspace.

Reference: https://docs.synthflow.ai/api-reference/platform-api/voices/get-voices

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /voices:
    get:
      operationId: get-voices
      summary: Get voices
      description: Lists all the voices assigned to a workspace.
      tags:
        - ''
      parameters:
        - name: workspace
          in: query
          description: Workspace ID. You can find it in your dashboard.
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: Voices displayed per page.
          required: false
          schema:
            type: integer
            default: 50
        - name: offset
          in: query
          description: Index of the first voice to be returned.
          required: false
          schema:
            type: integer
            default: 0
        - name: search
          in: query
          description: Search voices by name.
          required: false
          schema:
            type: string
        - name: provider
          in: query
          description: Voice provider to filter by.
          required: false
          schema:
            $ref: '#/components/schemas/VoicesGetParametersProvider'
            default: elevenlabs
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get-voices_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get-voicesRequestBadRequestError'
servers:
  - url: https://api.synthflow.ai/v2
    description: Global
  - url: https://api.us.synthflow.ai/v2
    description: United States
  - url: https://api.eu.synthflow.ai/v2
    description: European Union
components:
  schemas:
    VoicesGetParametersProvider:
      type: string
      enum:
        - elevenlabs
        - deepgram
        - synthflow
      default: elevenlabs
      title: VoicesGetParametersProvider
    pagination:
      type: object
      properties:
        total_records:
          type: integer
        limit:
          type: integer
        offset:
          type: integer
      title: pagination
    VoicesGetResponsesContentApplicationJsonSchemaResponseVoicesItemsProvider:
      type: string
      enum:
        - elevenlabs
        - deepgram
        - synthflow
      description: Voice provider (elevenlabs, deepgram, or synthflow).
      title: >-
        VoicesGetResponsesContentApplicationJsonSchemaResponseVoicesItemsProvider
    VoicesGetResponsesContentApplicationJsonSchemaResponseVoicesItemsGender:
      type: string
      enum:
        - male
        - female
        - neutral
      description: Voice gender.
      title: VoicesGetResponsesContentApplicationJsonSchemaResponseVoicesItemsGender
    VoicesGetResponsesContentApplicationJsonSchemaResponseVoicesItems:
      type: object
      properties:
        voice_id:
          type: string
        name:
          type: string
        preview:
          type: string
        workspace:
          type: string
        provider:
          $ref: >-
            #/components/schemas/VoicesGetResponsesContentApplicationJsonSchemaResponseVoicesItemsProvider
          description: Voice provider (elevenlabs, deepgram, or synthflow).
        gender:
          oneOf:
            - $ref: >-
                #/components/schemas/VoicesGetResponsesContentApplicationJsonSchemaResponseVoicesItemsGender
            - type: 'null'
          description: Voice gender.
        languages:
          type:
            - array
            - 'null'
          items:
            type: string
          description: ISO language codes supported by this voice.
      title: VoicesGetResponsesContentApplicationJsonSchemaResponseVoicesItems
    VoicesGetResponsesContentApplicationJsonSchemaResponse:
      type: object
      properties:
        pagination:
          $ref: '#/components/schemas/pagination'
        voices:
          type: array
          items:
            $ref: >-
              #/components/schemas/VoicesGetResponsesContentApplicationJsonSchemaResponseVoicesItems
      title: VoicesGetResponsesContentApplicationJsonSchemaResponse
    get-voices_Response_200:
      type: object
      properties:
        status:
          type: string
        response:
          $ref: >-
            #/components/schemas/VoicesGetResponsesContentApplicationJsonSchemaResponse
      title: get-voices_Response_200
    Get-voicesRequestBadRequestError:
      type: object
      properties: {}
      title: Get-voicesRequestBadRequestError
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## Examples



**Response**

```json
{
  "status": "ok",
  "response": {
    "pagination": {
      "total_records": 48,
      "limit": 50,
      "offset": 0
    },
    "voices": [
      {
        "voice_id": "wefw5e68456wef",
        "name": "test",
        "preview": "",
        "workspace": "1710107690998x536152705164378100",
        "provider": "elevenlabs",
        "gender": "female",
        "languages": [
          "en",
          "es"
        ]
      }
    ]
  }
}
```

**SDK Code**

```python get-voices_example
import requests

url = "https://api.synthflow.ai/v2/voices"

querystring = {"workspace":"1710107690998x536152705164378100"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```go get-voices_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/voices?workspace=1710107690998x536152705164378100"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby get-voices_example
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/voices?workspace=1710107690998x536152705164378100")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java get-voices_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.synthflow.ai/v2/voices?workspace=1710107690998x536152705164378100")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```csharp get-voices_example
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/voices?workspace=1710107690998x536152705164378100");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift get-voices_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/voices?workspace=1710107690998x536152705164378100")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```